diff --git a/lustre/tests/sanity-cmobd.sh b/lustre/tests/sanity-cmobd.sh
index 568b80512a272a15100b41ca8fc79c09867b2dc2..3ad20caf8f227351c4b24ace168fa362f65222fb 100644
--- a/lustre/tests/sanity-cmobd.sh
+++ b/lustre/tests/sanity-cmobd.sh
@@ -86,7 +86,7 @@ check_kernel_version() {
 }
 
 run_one() {
-	if ! mount | grep -q $DIR; then
+	if ! cat /proc/mounts | grep -q $DIR; then
 		$START
 	fi
 	echo $PTLDEBUG >/proc/sys/portals/debug	
diff --git a/lustre/tests/sanity-fid.sh b/lustre/tests/sanity-fid.sh
index 9844d4e05ac6374d991aef4f994bf0d641d74c55..72942c7d108aacc0e5de8578b4948f20d2fc7785 100644
--- a/lustre/tests/sanity-fid.sh
+++ b/lustre/tests/sanity-fid.sh
@@ -96,7 +96,7 @@ check_kernel_version() {
 }
 
 run_one() {
-	if ! mount | grep -q $DIR; then
+	if ! cat /proc/mounts | grep -q $DIR; then
 		$START
 	fi
 	echo $PTLDEBUG >/proc/sys/portals/debug	
diff --git a/lustre/tests/sanity-lmv.sh b/lustre/tests/sanity-lmv.sh
index 8e0a86e7de3bf72bca0867ae0b2212ddbe6dea0c..e31e0457c33b75a325772ee91936dc828391d2de 100644
--- a/lustre/tests/sanity-lmv.sh
+++ b/lustre/tests/sanity-lmv.sh
@@ -103,7 +103,7 @@ check_kernel_version() {
 }
 
 run_one() {
-	if ! mount | grep -q $DIR; then
+	if ! cat /proc/mounts | grep -q $DIR; then
 		$START
 	fi
 	echo $PTLDEBUG >/proc/sys/portals/debug	
diff --git a/lustre/tests/sanity-sec.sh b/lustre/tests/sanity-sec.sh
index d8a5598733ee5938067cf6bfd9e71c641ec1e014..73d2830b868c264067e593238f7db8930ccf2693 100644
--- a/lustre/tests/sanity-sec.sh
+++ b/lustre/tests/sanity-sec.sh
@@ -98,7 +98,7 @@ check_kernel_version() {
 }
 
 run_one() {
-	if ! mount | grep -q $DIR; then
+	if ! cat /proc/mounts | grep -q $DIR; then
 		$START
 	fi
 	echo -1 >/proc/sys/portals/debug